CREATE TABLE [dbo].[JbFiles](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](max) NULL,
	[Content] [varbinary](max) NULL,
 CONSTRAINT [PK_dbo.JbFiles] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

CREATE TABLE [dbo].[SeasonFiles](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[SeasonId] [bigint] NOT NULL,
	[FileId] [int] NOT NULL,
 CONSTRAINT [PK_dbo.SeasonFiles] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[SeasonFiles]  WITH CHECK ADD  CONSTRAINT [FK_dbo.SeasonFiles_dbo.JbFiles_FileId] FOREIGN KEY([FileId])
REFERENCES [dbo].[JbFiles] ([Id])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[SeasonFiles] CHECK CONSTRAINT [FK_dbo.SeasonFiles_dbo.JbFiles_FileId]
GO

ALTER TABLE [dbo].[SeasonFiles]  WITH CHECK ADD  CONSTRAINT [FK_dbo.SeasonFiles_dbo.Seasons_SeasonId] FOREIGN KEY([SeasonId])
REFERENCES [dbo].[Seasons] ([Id])
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[SeasonFiles] CHECK CONSTRAINT [FK_dbo.SeasonFiles_dbo.Seasons_SeasonId]
GO

